> ## Documentation Index
> Fetch the complete documentation index at: https://api.unusualwhales.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> API requests use the base URL https://api.unusualwhales.com and require a bearer token in the `Authorization` header (`Authorization: Bearer <API_KEY>`). Create and manage API tokens at https://unusualwhales.com/dashboard/api.
> For live market data inside an AI tool, use the Unusual Whales MCP server at https://unusualwhales.com/public-api/mcp.
> Instructions for agents using Unusual Whales tools: https://unusualwhales.com/skill.md

# Find options volume imbalances

> Learn how to build an either or filter and screen for imbalances in either direction

We already learned in the introduction how to screen for tickers where the call volume
is twice as big as the put volume.

```text wrap theme={null}
where call_volume >= put_volume * 2
```

<CodeGroup>
  ```bash cURL wrap theme={null}
  curl --fail-with-body --get 'https://api.unusualwhales.com/api/screener/stocks' \
    --header "Authorization: Bearer $UW_API_KEY" \
    --data-urlencode 'query=where call_volume >= put_volume * 2' \
    --data-urlencode 'order=volume' \
    --data-urlencode 'order_direction=desc' \
    --data-urlencode 'limit=10'
  ```
</CodeGroup>

Now we will take a filter for tickers that have extreme imbalance
into either call or put direction. For that we can use an `or` to say
we want to filter for "either or".

```text wrap theme={null}
where call_volume > 1000 and put_volume > 1000
  and (call_volume / put_volume >= 10 or call_volume / put_volume <= 0.1)
```

We are now filtering for tickers where there is at least 10 times more call volume
or 10 times more put volume. We also filter for at least 1,000 call and put volume
so we filter out the super iliquid tickers that barely get any options flow.

Next up we will learn how to [compare volatility horizons and price moves](/docs/guides/stock-screener/volatility).
